package com.ruoyi.execution.produce.dispersed.enetity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 节点执行（记录）对象 bpm_execute_node
 *
 * @author hzh
 * @date 2023-11-01
 */
public class BpmExecuteNode extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 当前执行流程任务编号task_key */
    @Excel(name = "当前执行流程任务编号task_key")
    private String taskProcessKey;

    /** 节点编号 */
    @Excel(name = "节点编号")
    private String taskNodeKey;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String taskNodeName;

    /** 表单编号 */
    @Excel(name = "表单编号")
    private String taskNodeFormKey;

    /** 节点类型（当前节点是判断、网关、普通节点等等。。。。。） */
    @Excel(name = "节点类型", readConverterExp = "当=前节点是判断、网关、普通节点等等。。。。。")
    private String taskNodeType;

    /** 节点前（节点前后只能执行脚本，下一个节点前相当于当前节点后） */
    @Excel(name = "节点前", readConverterExp = "节=点前后只能执行脚本，下一个节点前相当于当前节点后")
    private String taskNodeBefore;

    /** 节点后（节点前只存在一个） */
    @Excel(name = "节点后", readConverterExp = "节=点前只存在一个")
    private String taskNodeAfter;

    /** 角色权限 虚拟角色-》勾选用户存储中间表 */
    @Excel(name = "角色权限 虚拟角色-》勾选用户存储中间表")
    private String taskNodeRolePermission;

    /** 节点描述 */
    @Excel(name = "节点描述")
    private String taskRemark;

    /** 节点任务执行数量记录（件数） */
    @Excel(name = "节点任务执行数量记录", readConverterExp = "件=数")
    private String taskNodeNumber;

    /** 节点任务执行重量记录（重量） */
    @Excel(name = "节点任务执行重量记录", readConverterExp = "重=量")
    private String taskNodeWeight;

    /** 节点状态(0:未执行 1：已执行) */
    @Excel(name = "节点状态(0:未执行 1：已执行)")
    private String taskNodeState;

    /** 流程发起的时添设置该任务的优先级 */
    @Excel(name = "流程发起的时添设置该任务的优先级")
    private String taskPriority;

    /** 执行节点备用列（未启用） */
    @Excel(name = "执行节点备用列", readConverterExp = "未=启用")
    private String task1;

    /** 执行节点备用列（未启用） */
    @Excel(name = "执行节点备用列", readConverterExp = "未=启用")
    private String task2;

    /** 执行节点备用列（未启用） */
    @Excel(name = "执行节点备用列", readConverterExp = "未=启用")
    private String task3;

    /** 执行节点备用列（未启用） */
    @Excel(name = "执行节点备用列", readConverterExp = "未=启用")
    private String task4;

    /** 执行节点备用列（未启用） */
    @Excel(name = "执行节点备用列", readConverterExp = "未=启用")
    private String task5;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTaskProcessKey(String taskProcessKey)
    {
        this.taskProcessKey = taskProcessKey;
    }

    public String getTaskProcessKey()
    {
        return taskProcessKey;
    }
    public void setTaskNodeKey(String taskNodeKey)
    {
        this.taskNodeKey = taskNodeKey;
    }

    public String getTaskNodeKey()
    {
        return taskNodeKey;
    }
    public void setTaskNodeName(String taskNodeName)
    {
        this.taskNodeName = taskNodeName;
    }

    public String getTaskNodeName()
    {
        return taskNodeName;
    }
    public void setTaskNodeFormKey(String taskNodeFormKey)
    {
        this.taskNodeFormKey = taskNodeFormKey;
    }

    public String getTaskNodeFormKey()
    {
        return taskNodeFormKey;
    }
    public void setTaskNodeType(String taskNodeType)
    {
        this.taskNodeType = taskNodeType;
    }

    public String getTaskNodeType()
    {
        return taskNodeType;
    }
    public void setTaskNodeBefore(String taskNodeBefore)
    {
        this.taskNodeBefore = taskNodeBefore;
    }

    public String getTaskNodeBefore()
    {
        return taskNodeBefore;
    }
    public void setTaskNodeAfter(String taskNodeAfter)
    {
        this.taskNodeAfter = taskNodeAfter;
    }

    public String getTaskNodeAfter()
    {
        return taskNodeAfter;
    }
    public void setTaskNodeRolePermission(String taskNodeRolePermission)
    {
        this.taskNodeRolePermission = taskNodeRolePermission;
    }

    public String getTaskNodeRolePermission()
    {
        return taskNodeRolePermission;
    }
    public void setTaskRemark(String taskRemark)
    {
        this.taskRemark = taskRemark;
    }

    public String getTaskRemark()
    {
        return taskRemark;
    }
    public void setTaskNodeNumber(String taskNodeNumber)
    {
        this.taskNodeNumber = taskNodeNumber;
    }

    public String getTaskNodeNumber()
    {
        return taskNodeNumber;
    }
    public void setTaskNodeWeight(String taskNodeWeight)
    {
        this.taskNodeWeight = taskNodeWeight;
    }

    public String getTaskNodeWeight()
    {
        return taskNodeWeight;
    }
    public void setTaskNodeState(String taskNodeState)
    {
        this.taskNodeState = taskNodeState;
    }

    public String getTaskNodeState()
    {
        return taskNodeState;
    }
    public void setTaskPriority(String taskPriority)
    {
        this.taskPriority = taskPriority;
    }

    public String getTaskPriority()
    {
        return taskPriority;
    }
    public void setTask1(String task1)
    {
        this.task1 = task1;
    }

    public String getTask1()
    {
        return task1;
    }
    public void setTask2(String task2)
    {
        this.task2 = task2;
    }

    public String getTask2()
    {
        return task2;
    }
    public void setTask3(String task3)
    {
        this.task3 = task3;
    }

    public String getTask3()
    {
        return task3;
    }
    public void setTask4(String task4)
    {
        this.task4 = task4;
    }

    public String getTask4()
    {
        return task4;
    }
    public void setTask5(String task5)
    {
        this.task5 = task5;
    }

    public String getTask5()
    {
        return task5;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag.isEmpty() ? "0" : delFlag;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskProcessKey", getTaskProcessKey())
            .append("taskNodeKey", getTaskNodeKey())
            .append("taskNodeName", getTaskNodeName())
            .append("taskNodeFormKey", getTaskNodeFormKey())
            .append("taskNodeType", getTaskNodeType())
            .append("taskNodeBefore", getTaskNodeBefore())
            .append("taskNodeAfter", getTaskNodeAfter())
            .append("taskNodeRolePermission", getTaskNodeRolePermission())
            .append("taskRemark", getTaskRemark())
            .append("taskNodeNumber", getTaskNodeNumber())
            .append("taskNodeWeight", getTaskNodeWeight())
            .append("taskNodeState", getTaskNodeState())
            .append("taskPriority", getTaskPriority())
            .append("task1", getTask1())
            .append("task2", getTask2())
            .append("task3", getTask3())
            .append("task4", getTask4())
            .append("task5", getTask5())
            .append("delFlag", getDelFlag())
            .append("createById", getCreateById())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .toString();
    }
}
